## ros-galactic-bondcpp 3.0.1

=== debian/changelog ===
ros-galactic-bondcpp (3.0.1-4focal) focal; urgency=high

  * Fix cpplint/uncrustify errors.
  * Add build dependencies on pkg-config.
  * Contributors: Chris Lalancette

 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 Jan 2021 08:00:00 -0000

ros-galactic-bondcpp (3.0.0-4focal) focal; urgency=high

  * [Fixing CI] using chrono literals for durations from rclcpp API update (#69 <https://github.com/ros/bond_core/issues/69>)
  * Contributors: Steve Macenski

 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 Jan 2021 08:00:00 -0000

ros-galactic-bondcpp (2.0.0-4focal) focal; urgency=high

  * Lifecycle support 2 (#67 <https://github.com/ros/bond_core/issues/67>)
  * find uuid correctly on ubuntu and osx (#55 <https://github.com/ros/bond_core/issues/55>)
  * Ros2 devel (#54 <https://github.com/ros/bond_core/issues/54>)
  * Make Michael Carroll the maintainer (#40 <https://github.com/ros/bond_core/issues/40>)
  * Contributors: Karsten Knese, Mikael Arguedas, Steve Macenski

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 Nov 2020 08:00:00 -0000

ros-galactic-bondcpp (1.8.3-4focal) focal; urgency=high

  * Argument to Boost Milliseconds must be integral in Boost >= 1.67 (#37 <https://github.com/ros/bond_core/issues/37>)
    * Argument to Boost milliseconds  must be integral
    * Fix style
    * More consistent type
  * Contributors: Paul-Edouard Sarlin

 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Aug 2018 07:00:00 -0000

ros-galactic-bondcpp (1.8.2-4focal) focal; urgency=high

  * uuid dependency fixup (#36 <https://github.com/ros/bond_core/issues/36>)
    * dont export uuid dependency as this isnt anywhere in the public api
    * fixx uuid dependency in test_bond as well
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Apr 2018 07:00:00 -0000

ros-galactic-bondcpp (1.8.1-4focal) focal; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Oct 2017 07:00:00 -0000

ros-galactic-bondcpp (1.8.0-4focal) focal; urgency=high

  * Use SteadyTime and SteadyTimer for bond timeouts (#18 <https://github.com/ros/bond_core/issues/18>)
  * C++ style (#28 <https://github.com/ros/bond_core/issues/28>)
  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * remove trailing whitespaces (#26 <https://github.com/ros/bond_core/issues/26>)
  * Contributors: Felix Ruess, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-galactic-bondcpp (1.7.19-4focal) focal; urgency=high

  * fix unused var warning
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-galactic-bondcpp (1.7.18-4focal) focal; urgency=high

  * fix -isystem /usr/include build breakage in gcc6
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Oct 2016 07:00:00 -0000

ros-galactic-bondcpp (1.7.17-4focal) focal; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Mar 2016 07:00:00 -0000

ros-galactic-bondcpp (1.7.16-4focal) focal; urgency=high

  * Fix depedency version
  * Contributors: Esteve Fernandez

 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 Oct 2014 07:00:00 -0000

ros-galactic-bondcpp (1.7.15-4focal) focal; urgency=high

  * Added version dependency.
  * Removed redundant include_directories
  * Added cmake_modules in alphabetical order
  * Use FindUUID.cmake from cmake-modules to find the UUID libraries #8 <https://github.com/ros/bond_core/pull/8>
  * Contributors: Esteve Fernandez

 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Oct 2014 07:00:00 -0000

ros-galactic-bondcpp (1.7.14-4focal) focal; urgency=high

  * Update maintainer field
  * Contributors: Esteve Fernandez, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 08 May 2014 07:00:00 -0000

ros-galactic-bondcpp (1.7.13-4focal) focal; urgency=high

  * Use c++ style reinterpret_cast rather than c style cast
  * use rpc for uuid on windows
  * add missing archive/library/runtime destinations for library
  * Contributors: David Hodo, Dirk Thomas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-galactic-bondcpp (1.7.12-4focal) focal; urgency=high

  * fix dependency on exported targets if the variable is empty
  * use EXPORTED_TARGETS variable instead of explicit target names
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-galactic-bondcpp (1.7.11-4focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 13 Mar 2013 07:00:00 -0000

ros-galactic-bondcpp (1.7.10-4focal) focal; urgency=high

  * add missing link library uuid #6 <https://github.com/ros/bond_core/issues/6>
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-galactic-bondcpp (1.7.9-4focal) focal; urgency=high

  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Dec 2012 08:00:00 -0000

ros-galactic-bondcpp (1.7.8-4focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Dec 2012 08:00:00 -0000

ros-galactic-bondcpp (1.7.7-4focal) focal; urgency=high

  * Added missing link against catkin_LIBRARIES
  * Updated url tags in package.xml's #1 <https://github.com/ros/bond_core/pull/1>
  * updated catkin_package(DEPENDS)
  * Contributors: Dirk Thomas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Dec 2012 08:00:00 -0000

ros-galactic-bondcpp (1.7.6-4focal) focal; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas


